Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
AnchorNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | type
struct _Node * | target
int | char_len
int | ascii_range

## Detailed Description

Definition at line 241 of file regparse.h.

## Field Documentation

int AnchorNode::ascii_range

Definition at line 246 of file regparse.h.

Referenced by compile_anchor_node().

NodeBase AnchorNode::base

Definition at line 242 of file regparse.h.

int AnchorNode::char_len

Definition at line 245 of file regparse.h.

Referenced by compile_anchor_node(), and setup_look_behind().

struct _Node* AnchorNode::target

Definition at line 244 of file regparse.h.

Referenced by compile_anchor_node(), compile_length_anchor_node(), divide_look_behind_alternatives(), noname_disable_map(), renumber_by_map(), setup_look_behind(), setup_subexp_call(), setup_tree(), subexp_inf_recursive_check(), subexp_inf_recursive_check_trav(), subexp_recursive_check(), and subexp_recursive_check_trav().

int AnchorNode::type

Definition at line 243 of file regparse.h.

Referenced by compile_anchor_node(), compile_length_anchor_node(), divide_look_behind_alternatives(), noname_disable_map(), renumber_by_map(), setup_subexp_call(), setup_tree(), subexp_inf_recursive_check(), subexp_inf_recursive_check_trav(), subexp_recursive_check(), and subexp_recursive_check_trav().

The documentation for this struct was generated from the following file:

- regparse.h